<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Log In! | GradeBook{% endblock %}</title>
        {% block stylesheets %}<link rel="stylesheet" type="text/css" href="{{ asset('css/login.css') }}">{% endblock %}
        <link href="https://fonts.googleapis.com/css?family=Lato:400,700&display=swap&subset=latin-ext" rel="stylesheet">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
    </head>
    <body>
        {% block body %}
        <div id="login-box">
            <div id="login-box-title">
                <h2>Grade Book</h2>
            </div>
            <div id="logo">
                <i class="fas fa-pen"></i>
            </div>
            <div id="login-form">
                <form method="post">
                    {% if error %}
                        <div class="alert alert-danger" id="error-block">
                            <h6>{{ error.messageKey|trans(error.messageData, 'security') }}</h6></div>
                    {% endif %}
                    <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
                    <div id="login-email">
                        <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" placeholder="email" required autofocus>
                    </div>
                    <div id="login-pass">
                        <input type="password" name="password" id="inputPassword" class="form-control" placeholder="password" required>
                    </div>
                    <div id="login-submit">
                        <button class="btn btn-lg btn-primary" type="submit">Sign in</button>
                    </div>
                </form>
                <div id="register-button">
                    <button onclick="window.location.href='{{ url('register') }}'"><a>Sign up</a></button>
                </div>
            </div>
        </div>
        {% endblock %}
        {% block javascripts %}{% endblock %}
    </body>
</html>
